Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
SliderWidget Class Reference
Inheritance diagram for SliderWidget:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| destroy (self)
| get (self)
| highlightWidget (self, event)
| restoreWidget (self, event)
| set (self, value, fCommand=1)
| setBackground (self)
| setBorderwidth (self)
| setMax (self)
| setMin (self)
| setNumDigits (self)
| setRelief (self)
| updateIndicator (self, value)

## Public Attributes
str | formatString = '%0.' + ('%d' % self['numDigits']) + 'f'
| increment
| left
| right = self.left
| value = value

## Protected Member Functions
| _bigDecrementValue (self, event)
| _bigIncrementValue (self, event)
| _decrementValue (self, event)
| _firstScaleCommand (self, val)
| _getMarkerX (self)
| _goToMax (self, event)
| _goToMin (self, event)
| _incrementValue (self, event)
| _postSlider (self, event=None)
| _scaleBtnPress (self, event)
| _scaleBtnRelease (self, event)
| _scaleCommand (self, val)
| _unpostOnNextRelease (self, event=None)
| _unpostSlider (self, event=None)
| _updateValue (self, event)
| _widgetBtnPress (self, event)
| _widgetBtnRelease (self, event)
| _widgetMove (self, event)

## Protected Attributes
int | _firstPress = 1
int | _fPressInsde = 0
int | _fPressInside = 1
int | _fUnpost = 0
int | _fUpdate = 0
int | _isPosted = 1
| _popup = self._arrowBtn.winfo_rooty() - ch
| _unpostSlider

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ _bigDecrementValue()

_bigDecrementValue | ( |  | self,
|  |  | event )
| protected

## ◆ _bigIncrementValue()

_bigIncrementValue | ( |  | self,
|  |  | event )
| protected

## ◆ _decrementValue()

_decrementValue | ( |  | self,
|  |  | event )
| protected

## ◆ _firstScaleCommand()

_firstScaleCommand | ( |  | self,
|  |  | val )
| protected

     Hack to avoid calling command on instantiation of Scale

## ◆ _getMarkerX()

_getMarkerX | ( |  | self | ) |
| protected

## ◆ _goToMax()

_goToMax | ( |  | self,
|  |  | event )
| protected

## ◆ _goToMin()

_goToMin | ( |  | self,
|  |  | event )
| protected

## ◆ _incrementValue()

_incrementValue | ( |  | self,
|  |  | event )
| protected

## ◆ _postSlider()

_postSlider | ( |  | self,
|  |  | event = None )
| protected

## ◆ _scaleBtnPress()

_scaleBtnPress | ( |  | self,
|  |  | event )
| protected

## ◆ _scaleBtnRelease()

_scaleBtnRelease | ( |  | self,
|  |  | event )
| protected

## ◆ _scaleCommand()

_scaleCommand | ( |  | self,
|  |  | val )
| protected

## ◆ _unpostOnNextRelease()

_unpostOnNextRelease | ( |  | self,
|  |  | event = None )
| protected

## ◆ _unpostSlider()

_unpostSlider | ( |  | self,
|  |  | event = None )
| protected

## ◆ _updateValue()

_updateValue | ( |  | self,
|  |  | event )
| protected

## ◆ _widgetBtnPress()

_widgetBtnPress | ( |  | self,
|  |  | event )
| protected

## ◆ _widgetBtnRelease()

_widgetBtnRelease | ( |  | self,
|  |  | event )
| protected

## ◆ _widgetMove()

_widgetMove | ( |  | self,
|  |  | event )
| protected

## ◆ destroy()

destroy | ( |  | self | ) |

## ◆ get()

get | ( |  | self | ) |

    self.get()
    Get current slider value

## ◆ highlightWidget()

highlightWidget | ( |  | self,
|  |  | event )

## ◆ restoreWidget()

restoreWidget | ( |  | self,
|  |  | event )

## ◆ set()

set | ( |  | self,
|  |  | value,
|  |  | fCommand = 1 )

    self.set(value, fCommand = 1)
    Set slider to new value, execute command if fCommand == 1

## ◆ setBackground()

setBackground | ( |  | self | ) |

## ◆ setBorderwidth()

setBorderwidth | ( |  | self | ) |

## ◆ setMax()

setMax | ( |  | self | ) |

## ◆ setMin()

setMin | ( |  | self | ) |

## ◆ setNumDigits()

setNumDigits | ( |  | self | ) |

## ◆ setRelief()

setRelief | ( |  | self | ) |

## ◆ updateIndicator()

updateIndicator | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _firstPress

int _firstPress = 1
| protected

## ◆ _fPressInsde

int _fPressInsde = 0
| protected

## ◆ _fPressInside

_fPressInside = 1
| protected

## ◆ _fUnpost

int _fUnpost = 0
| protected

## ◆ _fUpdate

int _fUpdate = 0
| protected

## ◆ _isPosted

int _isPosted = 1
| protected

## ◆ _popup

_popup = self._arrowBtn.winfo_rooty() - ch
| protected

## ◆ _unpostSlider

_unpostSlider
| protected

## ◆ formatString

str formatString = '%0.' + ('%d' % self['numDigits']) + 'f'

## ◆ increment

increment

## ◆ left

left

## ◆ right

right = self.left

## ◆ value

value = value